<section onmouseover="countUp()">
    <div id="value">0</div>
</section>

<script>
    function countUp(){
        function counteranimation(id){
            var obj = document.getElementById(id);
            var current = parseInt(obj.innerHTML);

            setInterval(function(){
                if(current <= 10) {
                    obj.innerHTML = current++;
                }
            },100);




        }

        animateValue('value');
    }
</script>
